Type (Axis API)
Keywords: org.apache.axis.wsdl.symbolTable.Type,Type class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class Type

    java.lang.Object
      |
      +--org.apache.axis.wsdl.symbolTable.SymTabEntry
            |
            +--org.apache.axis.wsdl.symbolTable.TypeEntry
                  |
                  +--org.apache.axis.wsdl.symbolTable.Type

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BaseType, DefinedType, UndefinedType

public abstract class Type
extends TypeEntry

This class represents a TypeEntry that is a type (complexType, simpleType, etc.

Author:
  Rich Scheuerle (scheu@us.ibm.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`dims, isBaseType, isSimpleType, node, onlyLiteralReference, refType, undefined`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`protected` | `Type(QName pqName)` Create a Type object for an xml construct name that represents a base type
`protected` | `Type(QName pqName, org.w3c.dom.Node pNode)` Create a Type object for an xml construct that is not a base type
`protected` | `Type(QName pqName, TypeEntry refType, org.w3c.dom.Node pNode, java.lang.String dims)` Create a TypeEntry object for an xml construct that references a type that has not been defined yet.

Methods inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`getBaseType, getDimensions, getNode, getRefType, getUndefinedTypeRef, isBaseType, isOnlyLiteralReferenced, isSimpleType, setOnlyLiteralReference, setRefType, setSimpleType, toString, toString, updateUndefined`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Type

    protected Type(QName pqName)

  Create a Type object for an xml construct name that represents a base type

### Type

    protected Type(QName pqName,
                   TypeEntry refType,
                   org.w3c.dom.Node pNode,
                   java.lang.String dims)

  Create a TypeEntry object for an xml construct that references a type that has not been defined yet. Defer processing until refType is known.

### Type

    protected Type(QName pqName,
                   org.w3c.dom.Node pNode)

  Create a Type object for an xml construct that is not a base type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.